## golang-github-go-llsqlite-crawshaw 0.5.5

=== debian/changelog ===
golang-github-go-llsqlite-crawshaw (0.5.5-2) unstable; urgency=medium

  * Standards-Version: 4.7.1.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 23 Feb 2025 08:08:11 +0100

golang-github-go-llsqlite-crawshaw (0.5.5-1) unstable; urgency=medium

  * Initial release (Closes: #1095308)

 -- Simon Josefsson <simon@josefsson.org>  Thu, 06 Feb 2025 22:45:33 +0100
