=== debian/control ===
Source: golang-github-go-llsqlite-crawshaw
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-anacrolix-chansync-dev,
 golang-github-anacrolix-sync-dev,
 golang-github-frankban-quicktest-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-llsqlite-crawshaw
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-llsqlite-crawshaw.git
Homepage: https://github.com/go-llsqlite/crawshaw
XS-Go-Import-Path: github.com/go-llsqlite/crawshaw

Package: golang-github-go-llsqlite-crawshaw-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-anacrolix-chansync-dev,
 golang-github-anacrolix-sync-dev,
 golang-github-frankban-quicktest-dev,
 ${misc:Depends},
Description: low-level Go interface to SQLite 3 using cgo (Go library)
 Low-level Go interface to SQLite
 .
 This project is a community-managed fork of:
 https://github.com/crawshaw/sqlite
 Also known as the namespace: crawshaw.io/sqlite
 .
 This package contains the Go development library.
