## golang-github-go-llsqlite-crawshaw 0.6.0

=== debian/changelog ===
golang-github-go-llsqlite-crawshaw (0.6.0-1) unstable; urgency=medium

  * salsa-ci: Build reverse deps.
  * Standards-Version: 4.7.2.
  * New upstream version 0.6.0

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Aug 2025 15:41:15 +0200
