=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  golang-github-anacrolix-sync-dev,
  golang-github-frankban-quicktest-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-llsqlite-crawshaw
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-llsqlite-crawshaw.git
 Homepage: https://github.com/go-llsqlite/crawshaw
